Show / Hide Table of Contents

# IUniTaskSource Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IUniTaskSource : IValueTaskSource

### Members

#### Methods

Name | Description
--- | ---
GetResult(Int16) |
GetStatus(Int16) |
OnCompleted(Action<Object>, Object, Int16) |
UnsafeGetStatus() |

#### Explicit Interface Implementations

Name | Description
--- | ---
IValueTaskSource.GetResult(Int16) |
IValueTaskSource.GetStatus(Int16) |
IValueTaskSource.OnCompleted(Action<Object>, Object, Int16, ValueTaskSourceOnCompletedFlags) |

### Methods

#### GetResult(Int16)

    void GetResult(short token)

##### Parameters

`token` System.Int16

#### GetStatus(Int16)

    UniTaskStatus GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

UniTaskStatus

#### OnCompleted(Action<Object>, Object, Int16)

    void OnCompleted(Action<object> continuation, object state, short token)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16

#### UnsafeGetStatus()

    UniTaskStatus UnsafeGetStatus()

##### Returns

UniTaskStatus

### Explicit Interface Implementations

#### IValueTaskSource.GetResult(Int16)

    void IValueTaskSource.GetResult(short token)

##### Parameters

`token` System.Int16

#### IValueTaskSource.GetStatus(Int16)

    ValueTaskSourceStatus IValueTaskSource.GetStatus(short token)

##### Parameters

`token` System.Int16

##### Returns

System.Threading.Tasks.Sources.ValueTaskSourceStatus

#### IValueTaskSource.OnCompleted(Action<Object>, Object, Int16, ValueTaskSourceOnCompletedFlags)

    void IValueTaskSource.OnCompleted(Action<object> continuation, object state, short token, ValueTaskSourceOnCompletedFlags flags)

##### Parameters

`continuation` System.Action<System.Object>
`state` System.Object
`token` System.Int16
`flags` System.Threading.Tasks.Sources.ValueTaskSourceOnCompletedFlags